> For the complete documentation index, see [llms.txt](https://docs.strongdm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strongdm.com/references/scim/groups/list.md).

# Generic SCIM Endpoint - List Groups

The List Groups endpoint returns either all groups within an organization matching the given filter or all groups if no filter is provided.

### Request

#### Endpoint

`/provisioning/generic/v2/Groups`

#### HTTP method

`GET`

#### Path parameters

| Parameter    | Requirement | Description                                                                                                          | Example    |
| ------------ | ----------- | -------------------------------------------------------------------------------------------------------------------- | ---------- |
| `count`      | Optional    | Allows the response to be paginated per the specified number of rows                                                 | `5`        |
| `filter`     | Optional    | Filters the response results; must be in the form `displayName%20eq%20%22…%22` where `…` is the desired display name | `roleName` |
| `startIndex` | Optional    | Allows further results to be provided incrementally                                                                  | `1`        |

#### Example requests

**Example request with filter**

`GET app.strongdm.com/provisioning/generic/v2/Groups?filter=displayName%20eq%20%22myRole%22`

**Example request without filter**

`GET app.strongdm.com/provisioning/generic/v2/Groups?startIndex=1&count=5`

### Response

#### Example success response

```http
(Status 200)
```

```json
{
  "Resources": [
    {
      "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
      "displayName": "group3",
      "id": "r-0fd1be8f617193e7",
      "members": [],
      "meta": {
        "resourceType": "Group",
        "location": "Groups/r-0fd1be8f617193e7"
      }
    },
    {
      "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
      "displayName": "group0",
      "id": "r-13fb3d52617193e7",
      "members": [{"value":"a-558235b6617193e9","display":"Firstname Lastname"}],
      "meta": {
        "resourceType": "Group",
        "location": "Groups/r-13fb3d52617193e7"
      }
    },
    {
      "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
      "displayName": "group1",
      "id": "r-368672b8617193e7",
      "members": [],
      "meta": {
        "resourceType": "Group",
        "location": "Groups/r-368672b8617193e7"
      }
    },
    {
      "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
      "displayName": "group2",
      "id": "r-6bd3e96d617193e7",
      "members": [],
      "meta": {
        "resourceType": "Group",
        "location": "Groups/r-6bd3e96d617193e7"
      }
    },
    {
      "schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
      "displayName": "group4",
      "id": "r-7392b18b617193e7",
      "members": [],
      "meta": {
        "resourceType": "Group",
        "location": "Groups/r-7392b18b617193e7"
      }
    }
  ],
  "itemsPerPage": 100,
  "schemas": ["urn:ietf:params:scim:api:messages:2.0:ListResponse"],
  "startIndex": 1,
  "totalResults": 5
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.strongdm.com/references/scim/groups/list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
